IF OBJECT_ID('[NpmPackages_Latest]') IS NOT NULL DROP VIEW [NpmPackages_Latest]
GO

CREATE VIEW [NpmPackages_Latest]
AS

SELECT NP.[Feed_Id],
       NP.[Package_Name],
	   NP.[Scope_Name],
	   NP.[Download_Count],
	   NPV.[Version_Text],
	   NPV.[Published_Date],
	   NPV.[PackageJson_Bytes],
	   NPV.[PackageHash_Bytes],
	   NPV.[Cached_Indicator],
	   NPV.[Package_Size]
  FROM [NpmPackageTags] NPT
       INNER JOIN [NpmPackageVersions] NPV
	           ON NPV.[Package_Id] = NPT.[Package_Id]
			  AND NPV.[Version_Text] = NPT.[Tag_Version]
	   INNER JOIN [NpmPackages] NP
	           ON NP.[Package_Id] = NPT.[Package_Id]
 WHERE NPT.[Tag_Name] = 'latest'

GO