EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_GetFeeds',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedConnectors_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the feeds for a connector.'
GO

IF OBJECT_ID('[Connectors_GetFeeds]') IS NOT NULL DROP PROCEDURE [Connectors_GetFeeds]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_GetFeeds]
(
	@Connector_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [FeedConnectors_Extended]
	 WHERE Connector_Id = @Connector_Id
	 ORDER BY [Sequence_Number]

END
GO

GRANT EXECUTE ON [Connectors_GetFeeds] TO [ProGetUser_Role]
GO
