EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DebianPackages_DeletePackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a package from a Debian feed.'
GO

IF OBJECT_ID('[DebianPackages_DeletePackage]') IS NOT NULL DROP PROCEDURE [DebianPackages_DeletePackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DebianPackages_DeletePackage]
(
	@Feed_Id INT,
	@Component_Name VARCHAR(255),
	@Package_Name VARCHAR(255),
	@Architecture_Name VARCHAR(255),
	@Version_Text VARCHAR(255)
)
AS
DECLARE
	@Package_Id VARCHAR(MAX) = @Component_Name + '/' + @Package_Name + ':' + @Architecture_Name
BEGIN

SET NOCOUNT ON

	DELETE
	  FROM [DebianPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Component_Name] = @Component_Name
	   AND [Package_Name] = @Package_Name
	   AND [Architecture_Name] = @Architecture_Name
	   AND [Version_Text] = @Version_Text

	EXEC [Events_RaiseEvent] 'PKGDEL', @Feed_Id, 'Package_Name', @Package_Id, 'Package_Version', @Version_Text

END
GO

GRANT EXECUTE ON [DebianPackages_DeletePackage] TO [ProGetUser_Role]
GO
