EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_DeleteRepository',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a repository and all its tags and images.'
GO

IF OBJECT_ID('[DockerImages_DeleteRepository]') IS NOT NULL DROP PROCEDURE [DockerImages_DeleteRepository]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_DeleteRepository]
(
	@DockerRepository_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @Repository_Name VARCHAR(255), @Feed_Id INT
	SELECT @Repository_Name = [Repository_Name], @Feed_Id = [Feed_Id]
	  FROM [DockerRepositories]
	 WHERE [DockerRepository_Id] = @DockerRepository_Id
	 
	 IF @Feed_Id IS NOT NULL BEGIN

	    DELETE [DockerRepositoryTags] WHERE [DockerRepository_Id] = @DockerRepository_Id
		DELETE [DockerRepositories] WHERE [DockerRepository_Id] = @DockerRepository_Id
		
		EXEC [Events_RaiseEvent] 'PKGDEL', @Feed_Id, 'Package_Name', @Repository_Name, 'Package_Version', 'ALL'
	 END



	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerImages_DeleteRepository] TO [ProGetUser_Role]
GO