EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilitiesForDockerBlob',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the vulnerabilties for a container image blob.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilitiesForDockerBlob]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerBlob]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerBlob]
(
	@Feed_Id INT,
	@Blob_Digest varchar(128)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT DISTINCT V.*
	  FROM [Vulnerabilities_Extended] V
	       LEFT JOIN [FeedVulnerabilitySources] FVS
		           ON V.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]
	 WHERE V.[Blob_Digest] = @Blob_Digest and (FVS.[Feed_Id] = @Feed_Id OR V.[Feed_Id] = @Feed_Id)
	 ORDER BY V.Title_Text

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilitiesForDockerBlob] TO [ProGetUser_Role]
GO